## aatis-modem-0.1.7-DJ8SR.tar.gz

=== Makefile ===
CFLAGS = -Wall -O2
LIBS = -lusb

all: usb-as296-to-tty-d

usb-as296-to-tty-d: as296_lib.o as296_main.o
	$(CC) $(CFLAGS) $(LIBS) -o $@ as296_lib.o as296_main.o

clean:
	-rm  *.o usb-as296-to-tty-d

.PHONY: all clean

=== debian/changelog ===
aatis-modem (0.1.7-1) unstable; urgency=low

  * Initial release.

 -- Paul Friedrich <pauf@hrz.tu-chemnitz.de>  Fri, 15 Jun 2007 19:54:47 +0200

=== debian/control ===
Source: aatis-modem
Section: hamradio
Priority: extra
Maintainer: Paul Friedrich <pauf@hrz.tu-chemnitz.de>
Build-Depends: debhelper (>= 5), libusb-dev (>= 0.1.4)
Standards-Version: 3.7.2

Package: aatis-modem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AAtis AS296 and AS607 Modem driver
 Driver for AAtis AS296 and AS607 usb modem. AX25 Packet Radio.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	install -m 755 $(CURDIR)/usb-as296-to-tty-d $(CURDIR)/debian/aatis-modem/usr/sbin/
	install -m 644 $(CURDIR)/aatis-modem.default $(CURDIR)/debian/aatis-modem/etc/default/aatis-modem
	install -m 744 $(CURDIR)/aatis-modem $(CURDIR)/debian/aatis-modem/etc/init.d/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs Changelog.txt
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
